function yout = zohint(tin,yin,tout,fsout,ratio);

ind = kron(1:length(tin),ones(1,ratio));

ind((end-ratio+2):end)=[];

yout = yin(ind);

%diffs = 1./(ones(length(t),1)*t1 - t'*ones(1,length(t1)));
%diffs(diffs<0) = 0;

%[crud,closest] = max(diffs);

%f = y(closest);


